import 'package:flutter/widgets.dart';

import '../sunny_platform_widgets.dart';

class PlatformOverrides extends StatelessWidget {
  final PlatformOverridesData data;
  final Widget child;

  const PlatformOverrides({required this.data, required this.child});

  @override
  Widget build(BuildContext context) {
    return child;
  }

  static PlatformOverridesData of(BuildContext context) {
    return context.findAncestorWidgetOfExactType<PlatformOverrides>()?.data ??
        const PlatformOverridesData();
  }

  static Widget? tryBuild<T extends Widget>(
    T widget,
    BuildContext context,
    extraOptions,
  ) {
    PlatformOverrides? state =
        context.findAncestorWidgetOfExactType<PlatformOverrides>();
    var builder = state?.data.findBuilder(
      widget,
      context,
      extraOptions,
    );
    return builder?.call();
  }
}

typedef Widget PlatformOverrideBuilder();
typedef Page<T> PageBuilder<T>();

class PlatformOverridesData {
  PlatformOverrideBuilder? findBuilder(
    Widget widget,
    BuildContext context,
    extraOptions,
  ) =>
      null;
  ShowPlatformDialog<T>? findShowPlatformDialog<T>(
    BuildContext context,
    extraOptions,
  ) =>
      null;

  PlatformPageFactory? findPageBuilder<T>(
    BuildContext context,
    extraOptions,
  ) =>
      null;

  ShowPlatformModalSheet<T>? findShowPlatformModalSheet<T>(
          BuildContext context, extraOptions) =>
      null;

  const PlatformOverridesData();

  ShowDatePicker? findShowPlatformDatePicker(
          BuildContext context, extraOptions) =>
      null;
}
